Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class Classes

    java.lang.Object
      org.jboss.util.Classes

public final class Classes
extends Object

A collection of `Class` utilities.

Version:
  `$Revision: 1.7 $`
Author:
  Jason Dillon, Scott.Stark@jboss.org

Field Summary
`static String` | `DEFAULT_PACKAGE_NAME` The default package name.
`static String` | `PACKAGE_SEPARATOR` The string used to separator packages
`static char` | `PACKAGE_SEPARATOR_CHAR` The characther used to separator packages

Constructor Summary
`Classes()`

Method Summary
`static Class[]` | `convertToJavaClasses(Iterator it, ClassLoader cl)` Convert a list of Strings from an Interator into an array of Classes (the Strings are taken as classnames).
`static void` | `forceLoad(Class type)` Force the given class to be loaded fully.
`static Method` | `getAttributeGetter(Class cls, String attr)` Returns attribute's getter method.
`static Method` | `getAttributeSetter(Class cls, String attr, Class type)` Returns attribute's setter method.
`static String` | `getPackageName(Class type)` Get the package name of the specified class.
`static String` | `getPackageName(String classname)` Get the package name of the specified class.
`static Class` | `getPrimitiveTypeForName(String name)` Get the primitive type for the given primitive name.
`static Class` | `getPrimitiveWrapper(Class type)` Get the wrapper class for the given primitive type.
`static boolean` | `isPrimitive(Class type)` Check if the given class is a primitive class or a primitive wrapper class.
`static boolean` | `isPrimitive(String type)` Check type against boolean, byte, char, short, int, long, float, double.
`static boolean` | `isPrimitiveWrapper(Class type)` Check if the given class is a primitive wrapper class.
`static Class` | `loadClass(String className)` This method acts equivalently to invoking `Thread.currentThread().getContextClassLoader().loadClass(className);` but it also supports primitive types and array classes of object types or primitive types.
`static Class` | `loadClass(String className, ClassLoader classLoader)` This method acts equivalently to invoking classLoader.loadClass(className) but it also supports primitive types and array classes of object types or primitive types.
`static String` | `stripPackageName(Class type)` Get the short name of the specified class by striping off the package name.
`static String` | `stripPackageName(String classname)` Get the short name of the specified class by striping off the package name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE_SEPARATOR

    public static final String PACKAGE_SEPARATOR

  The string used to separator packages

  See Also:
    Constant Field Values

### PACKAGE_SEPARATOR_CHAR

    public static final char PACKAGE_SEPARATOR_CHAR

  The characther used to separator packages

  See Also:
    Constant Field Values

### DEFAULT_PACKAGE_NAME

    public static final String DEFAULT_PACKAGE_NAME

  The default package name.

  See Also:
    Constant Field Values

Constructor Detail

### Classes

    public Classes()

Method Detail

### stripPackageName

    public static String stripPackageName(String classname)

  Get the short name of the specified class by striping off the package name.

  Parameters:
    `classname` - Class name.
  Returns:
    Short class name.

### stripPackageName

    public static String stripPackageName(Class type)

  Get the short name of the specified class by striping off the package name.

  Parameters:
    `type` - Class name.
  Returns:
    Short class name.

### getPackageName

    public static String getPackageName(String classname)

  Get the package name of the specified class.

  Parameters:
    `classname` - Class name.
  Returns:
    Package name or "" if the classname is in the default package.
  Throws:
    `EmptyStringException` - Classname is an empty string.

### getPackageName

    public static String getPackageName(Class type)

  Get the package name of the specified class.

  Parameters:
    `type` - Class.
  Returns:
    Package name.

### forceLoad

    public static void forceLoad(Class type)

  Force the given class to be loaded fully.

  This method attempts to locate a static method on the given class the attempts to invoke it with dummy arguments in the hope that the virtual machine will prepare the class for the method call and call all of the static class initializers.

  Parameters:
    `type` - Class to force load.
  Throws:
    `NullArgumentException` - Type is null.

### getPrimitiveTypeForName

    public static Class getPrimitiveTypeForName(String name)

  Get the primitive type for the given primitive name.

  For example, "boolean" returns Boolean.TYPE and so on...

  Parameters:
    `name` - Primitive type name (boolean, int, byte, ...)
  Returns:
    Primitive type or null.
  Throws:
    `IllegalArgumentException` - Type is not a primitive class

### getPrimitiveWrapper

    public static Class getPrimitiveWrapper(Class type)

  Get the wrapper class for the given primitive type.

  Parameters:
    `type` - Primitive class.
  Returns:
    Wrapper class for primitive.
  Throws:
    `IllegalArgumentException` - Type is not a primitive class

### isPrimitiveWrapper

    public static boolean isPrimitiveWrapper(Class type)

  Check if the given class is a primitive wrapper class.

  Parameters:
    `type` - Class to check.
  Returns:
    True if the class is a primitive wrapper.

### isPrimitive

    public static boolean isPrimitive(Class type)

  Check if the given class is a primitive class or a primitive wrapper class.

  Parameters:
    `type` - Class to check.
  Returns:
    True if the class is a primitive or primitive wrapper.

### isPrimitive

    public static boolean isPrimitive(String type)

  Check type against boolean, byte, char, short, int, long, float, double.

  Parameters:
    `type` - The java type name
  Returns:
    true if this is a primative type name.

### loadClass

    public static Class loadClass(String className)
                           throws ClassNotFoundException

  This method acts equivalently to invoking `Thread.currentThread().getContextClassLoader().loadClass(className);` but it also supports primitive types and array classes of object types or primitive types.

  Parameters:
    `className` - the qualified name of the class or the name of primitive type or array in the same format as returned by the `java.lang.Class.getName()` method.
  Returns:
    the Class object for the requested className
  Throws:
    `ClassNotFoundException` - when the `classLoader` can not find the requested class

### loadClass

    public static Class loadClass(String className,
                                  ClassLoader classLoader)
                           throws ClassNotFoundException

  This method acts equivalently to invoking classLoader.loadClass(className) but it also supports primitive types and array classes of object types or primitive types.

  Parameters:
    `className` - the qualified name of the class or the name of primitive type or array in the same format as returned by the java.lang.Class.getName() method.
    `classLoader` - the ClassLoader used to load classes
  Returns:
    the Class object for the requested className
  Throws:
    `ClassNotFoundException` - when the `classLoader` can not find the requested class

### convertToJavaClasses

    public static final Class[] convertToJavaClasses(Iterator it,
                                                     ClassLoader cl)
                                              throws ClassNotFoundException

  Convert a list of Strings from an Interator into an array of Classes (the Strings are taken as classnames).

  Parameters:
    `it` - A java.util.Iterator pointing to a Collection of Strings
    `cl` - The ClassLoader to use
  Returns:
    Array of Classes
  Throws:
    `ClassNotFoundException` - When a class could not be loaded from the specified ClassLoader

### getAttributeGetter

    public static final Method getAttributeGetter(Class cls,
                                                  String attr)
                                           throws NoSuchMethodException

  Returns attribute's getter method. If the method not found then NoSuchMethodException will be thrown.

  Parameters:
    `cls` - the class the attribute belongs too
    `attr` - the attribute's name
  Returns:
    attribute's getter method
  Throws:
    `NoSuchMethodException` - if the getter was not found
    `NoSuchMethodException`

### getAttributeSetter

    public static final Method getAttributeSetter(Class cls,
                                                  String attr,
                                                  Class type)
                                           throws NoSuchMethodException

  Returns attribute's setter method. If the method not found then NoSuchMethodException will be thrown.

  Parameters:
    `cls` - the class the attribute belongs to
    `attr` - the attribute's name
    `type` - the attribute's type
  Returns:
    attribute's setter method
  Throws:
    `NoSuchMethodException` - if the setter was not found
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.